		local frame = CreateFrame("FRAME");
		frame:RegisterEvent("ADDON_LOADED")
		function frame:OnEvent(event, arg1)
			if event == "ADDON_LOADED" and arg1 == "Blizzard_GarrisonUI" then

				--Report Frame Time Stamp
			
				for i = 1,10 do
					_G["GarrisonLandingPageReportListListScrollFrameButton"..i]:HookScript("OnEnter", function(self, button)
						local items = GarrisonLandingPageReport.List.items 
						if GarrisonLandingPageReport.selectedTab == GarrisonLandingPageReport.Available then
							items = GarrisonLandingPageReport.List.AvailableItems 
						end

						local item = items[self.id];
	
							if ( item.isBuilding ) then
								return;
							end
							if ( GarrisonLandingPageReport.selectedTab == GarrisonLandingPageReport.InProgress ) then
							
							else
								if not (item.isRare) then
								GameTooltip:AddLine(" ");
								GameTooltip:AddLine(GARRISON_MISSION_AVAILABILITY);
								GameTooltip:AddLine(item.offerTimeRemaining, 1, 1, 1);
								end
							end
						GameTooltip:Show();
						
					end)
				end
				
				--Garrison Mission List Time Stamp
				
				for i = 1,7 do
					_G["GarrisonMissionFrameMissionsListScrollFrameButton"..i]:HookScript("OnEnter", function(self)
						if not (self.info.inProgress) and not (self.info.isRare) then
						GameTooltip:AddLine(GARRISON_MISSION_AVAILABILITY)
						GameTooltip:AddLine(self.info.offerTimeRemaining, 1, 1, 1)
						GameTooltip:Show()
						end
					end)
				end
				
							local function miirgui_GarrisonShipyardMapMission_SetTooltip(info, inProgress)
				local tooltipFrame = GarrisonShipyardMapMissionTooltip;
					if (inProgress) then
					else
						local timeString = NORMAL_FONT_COLOR_CODE .. TIME_LABEL .. FONT_COLOR_CODE_CLOSE .. " ";
						timeString = timeString .. HIGHLIGHT_FONT_COLOR_CODE .. info.duration .. FONT_COLOR_CODE_CLOSE;
						if not (info.isRare) then
							GarrisonShipyardMapMission_AnchorToBottomWidget(tooltipFrame.MissionExpires, 0, -tooltipFrame.MissionExpires.yspacing);
							tooltipFrame.MissionExpires:Show();
							tooltipFrame.TimeRemaining:SetText(info.offerTimeRemaining);
							tooltipFrame.TimeRemaining:Show();
							GarrisonShipyardMapMission_SetBottomWidget(tooltipFrame.TimeRemaining);
						end
					end
				GarrisonShipyardMapMission_UpdateTooltipSize(tooltipFrame);
				tooltipFrame:Show();
			end
			
			hooksecurefunc("GarrisonShipyardMapMission_SetTooltip",miirgui_GarrisonShipyardMapMission_SetTooltip)
			
			end
		end
		
		frame:SetScript("OnEvent", frame.OnEvent);